Loading...
Searching...
No Matches
gridfire::exceptions::InvalidQSESolutionError Class Referencefinal

Exception for invalid QSE solution in the engine. More...

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::InvalidQSESolutionError:
[legend]
Collaboration diagram for gridfire::exceptions::InvalidQSESolutionError:
[legend]

## Additional Inherited Members

Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Detailed Description

Exception for invalid QSE solution in the engine.

This exception is thrown when the engine computes an invalid solution while performing Quasi-Statistical Equilibrium (QSE) calculations.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h